Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 225104 - Provide plugin portal update center URL which provides all the NON-verified plugins
Provide plugin portal update center URL which provides all the NON-verified p...
Status: VERIFIED FIXED
Product: updatecenters
Classification: Unclassified
Component: Pluginportal
7.3
PC Windows 7
: P3 (vote)
: TBD
Assigned To: Jan Pirek
issues@updatecenters
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-19 21:07 UTC by markiewb
Modified: 2013-02-07 13:58 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description markiewb 2013-01-19 21:07:32 UTC
Conversation with Jirka:

markiewb:
> Many of the plugins (old but good ones) are not signed and therefore
> they will not be displayed from within the IDE plugin center. I have to
> download them separately and manually install them. Is there an
> inofficial plugin site URL, which provides even those non-verified
> plugins? 

jirka:
No, there is no such URL. Non-verified plugins must be downloaded via
web browser and installed manually via Tools > Plugins. 

markiewb:
> What a pity for me. It is worth a RFE? I could code a little
> "curl/wget"-script, which downloads all them automatically... 

jirka:
I think it's worth a new RFE against updatecenters/Pluginportal. It will
be a piece of cake to implement :) although using such Alpha Plugins
Update Center would be very dangerous as no particular quality will be
guaranteed which could impact stability of IDE significantly. We would
certainly not register this Aplha PPUC in the standard IDE distribution
though.

EXPECTED:
Please provide a plugin portal update center URL which provides all the NON-verified plugins (for each NetBeans version one URL). It is not required to register those URLs in the IDE distribution.
Comment 1 Jiri Kovalsky 2013-01-21 09:52:16 UTC
Honzo, when you have some free cycles can you please implement this? Thanks a lot.
Comment 2 Jan Pirek 2013-01-31 15:05:41 UTC
this is now done, urls are like 

http://plugins.netbeans.org/nbpluginportal/updates/7.2/catalog-experimental.xml

honza
Comment 3 Jiri Kovalsky 2013-02-07 13:58:39 UTC
Thanks a lot, verified.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo